Download it now!
Bug 82818 - Vertical text direction in Writer badly broken on master (OSX only)
Summary: Vertical text direction in Writer badly broken on master (OSX only)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Mac OS X (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2014-08-19 15:05 UTC by Matthew Francis
Modified: 2014-09-03 11:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example rendered on 4.3.0.4 (correct) (53.75 KB, image/png)
2014-08-19 15:06 UTC, Matthew Francis
Details
Example rendered on master (broken) (22.11 KB, image/png)
2014-08-19 15:07 UTC, Matthew Francis
Details
Sample vertical text (16.20 KB, application/vnd.oasis.opendocument.text)
2014-08-19 15:13 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-08-19 15:05:25 UTC
Pages, frames, etc. with text direction set to vertical have badly broken rendering on master. The text isn't legible at all.
(4.3.0.4 gets this right)

Steps to reproduce:
1. Open a new Writer document
2. In Format - Page - Page, set "Text direction" to "Right-to-left (vertical)"
3. Type any text

See following attachments for an example

It's possible this is OSX only. Could someone with Linux/Windows and a recent build from git please confirm?
Comment 1 Matthew Francis 2014-08-19 15:06:35 UTC
Created attachment 104897 [details]
Example rendered on 4.3.0.4 (correct)
Comment 2 Matthew Francis 2014-08-19 15:07:46 UTC
Created attachment 104898 [details]
Example rendered on master (broken)
Comment 3 Maxim Monastirsky 2014-08-19 15:12:52 UTC
(In reply to comment #0)
> Could someone with Linux/Windows and a
> recent build from git please confirm?
Not reproducible under Fedora 20 (from commit e99535df4d57f93ef977a7f93c71ce940b440ee9)
Comment 4 Matthew Francis 2014-08-19 15:13:21 UTC
Created attachment 104900 [details]
Sample vertical text

(This is Japanese, but the bug is not dependent on language)
Comment 5 Jacques Guilleron 2014-08-19 17:35:19 UTC
Hi,

Thanks for the sample.
Not reproduced with 
LO 4.3.0.4 and
LO 4.4.0.0.alpha0+
Build ID: eddd7646d672ea9b0561dacb09da224d098e531e
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-18_06:42:50
under Windows 7 Home Premium.

Jacques
Comment 6 Matthew Francis 2014-08-20 01:55:02 UTC
So this is looking like OSX only as I initially suspected. Thanks for the (non) reproductions
Comment 7 Matthew Francis 2014-08-20 03:19:48 UTC
Although the attached document can be used to reproduce, I apparently left out a necessary step for manually creating vertical text in the first comment

The "Text direction" option in "Format - Page - Page" is only shown if the global setting

"Default Languages for Documents - Asian" is ticked within

"Options - Language Settings - Languages"
Comment 8 Tomofumi Yagi 2014-08-21 04:24:52 UTC
Hi,

I confirm on OS X 10.9.4
LibreOffice Version: 4.4.0.0.alpha0+
Build ID:8b6ce55b90558703a8748c30690f6d5ecaf60d66

I set status to New
Comment 9 Matthew Francis 2014-08-21 11:50:48 UTC
Adding CC to Norbert Thiebaud <nthiebaud@gmail.com>

I'm afraid this one too appears to bisect back to that set of changes in July, from

author	Norbert Thiebaud <nthiebaud@gmail.com>	2014-07-16 20:49:26 (GMT)
committer	Norbert Thiebaud <nthiebaud@gmail.com>	2014-07-20 20:10:58 (GMT)
commit	269e960ee190a8f568e99756c90cd98f1a7919ce (patch)
tree	232f798a5051f203f78eac62e29438e9625ce9d6
parent	2d226f4c0b3f95bfdfe7bdcd3fd0ab87a806f4c3 (diff)
add config_vcl to control DevicePixel coordinate base type

to

author	Norbert Thiebaud <nthiebaud@gmail.com>	2014-07-20 21:10:37 (GMT)
committer	Norbert Thiebaud <nthiebaud@gmail.com>	2014-07-20 21:10:37 (GMT)
commit	9fe24ebe32b18ef8371e1b1d168fa64a48a73b37 (patch)
tree	e589b2d82d111ae675d2a7ae87e1126d83a09d3b
parent	3858f7ef2562544214bf55851c95b9e18c768c52 (diff)
vcl mac SDK issue with API manipulating Rect


Could you possibly take a look if you have a minute?
Comment 10 Norbert Thiebaud 2014-08-21 13:40:01 UTC
I will... when I have a minute :-)
Comment 11 Commit Notification 2014-09-03 08:59:58 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ef4bdc7b15686e55fa19f2e98a828763a0cfae6

fdo#82818 vcl macosx. fix asian vertical ctlayout



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Matthew Francis 2014-09-03 09:25:04 UTC
Marvellous. Thanks, that's much better
Comment 13 retired 2014-09-03 11:56:16 UTC
as of comment 12 and fix by Norbert.